.outline input:not([type]),
.outline input[type=text]:not(.browser-default),
.outline input[type=password]:not(.browser-default),
.outline input[type=email]:not(.browser-default),
.outline input[type=url]:not(.browser-default),
.outline input[type=time]:not(.browser-default),
.outline input[type=date]:not(.browser-default),
.outline input[type=datetime]:not(.browser-default),
.outline input[type=datetime-local]:not(.browser-default),
.outline input[type=tel]:not(.browser-default),
.outline input[type=number]:not(.browser-default),
.outline input[type=search]:not(.browser-default),
.outline textarea.materialize-textarea {
    background-color: transparent;
    border: 1px solid #9e9e9e;
    border-radius: 5px;
    padding: 0px 0.7rem;
    box-sizing: border-box;
}

.outline input:not([type]):focus:not([readonly]),
.outline input[type=text]:not(.browser-default):focus:not([readonly]),
.outline input[type=password]:not(.browser-default):focus:not([readonly]),
.outline input[type=email]:not(.browser-default):focus:not([readonly]),
.outline input[type=url]:not(.browser-default):focus:not([readonly]),
.outline input[type=time]:not(.browser-default):focus:not([readonly]),
.outline input[type=date]:not(.browser-default):focus:not([readonly]),
.outline input[type=datetime]:not(.browser-default):focus:not([readonly]),
.outline input[type=datetime-local]:not(.browser-default):focus:not([readonly]),
.outline input[type=tel]:not(.browser-default):focus:not([readonly]),
.outline input[type=number]:not(.browser-default):focus:not([readonly]),
.outline input[type=search]:not(.browser-default):focus:not([readonly]),
.outline textarea.materialize-textarea:focus:not([readonly]) {
    border: 1px solid #26a69a;
    -webkit-box-shadow: 0px 0px 0px 3px rgba(0, 150, 136, 0.35);
    box-shadow: 0px 0px 0px 3px rgba(0, 150, 136, 0.35);
}

.outline input.invalid:not([type]):focus:not([readonly]),
.outline input[type=text].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=password].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=email].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=url].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=time].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=date].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=datetime].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=datetime-local].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=tel].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=number].invalid:not(.browser-default):focus:not([readonly]),
.outline input[type=search].invalid:not(.browser-default):focus:not([readonly]),
.outline textarea.materialize-textarea.invalid:focus:not([readonly]) {
    border: 1px solid #F44336;
    -webkit-box-shadow: 0px 0px 0px 3px rgba(244, 67, 54, 0.35);
    box-shadow: 0px 0px 0px 3px rgba(244, 67, 54, 0.35);
}

.outline.small input:not([type]),
.outline.small input[type=text]:not(.browser-default),
.outline.small input[type=password]:not(.browser-default),
.outline.small input[type=email]:not(.browser-default),
.outline.small input[type=url]:not(.browser-default),
.outline.small input[type=time]:not(.browser-default),
.outline.small input[type=date]:not(.browser-default),
.outline.small input[type=datetime]:not(.browser-default),
.outline.small input[type=datetime-local]:not(.browser-default),
.outline.small input[type=tel]:not(.browser-default),
.outline.small input[type=number]:not(.browser-default),
.outline.small input[type=search]:not(.browser-default),
.outline.small textarea.materialize-textarea {
    background-color: transparent;
    border: 1px solid #9e9e9e;
    height: 2.6rem;
    border-radius: 5px;
}

.input-field.outline.col label {
    left: 1.4rem;
    margin: 0px;
    padding: 0px 2px;
}

.input-field.small.outline.col label {
    line-height: 0.99rem;
}

.input-field.outline>label:not(.label-icon).active {
    -webkit-transform: translateY(-9px) scale(0.9);
    transform: translateY(-9px) scale(0.9);
    background: #fff;
    margin: 0px;
    padding: 0px 2px;
}

.input-field.small.outline>label:not(.label-icon).active {
    -webkit-transform: translateY(-6px) scale(0.8);
    transform: translateY(-6px) scale(0.8);
}

.outline input.invalid:not([type]),
.outline input.invalid:not([type]):focus,
.outline input[type=text].invalid:not(.browser-default),
.outline input[type=text].invalid:not(.browser-default):focus,
.outline input[type=password].invalid:not(.browser-default),
.outline input[type=password].invalid:not(.browser-default):focus,
.outline input[type=email].invalid:not(.browser-default),
.outline input[type=email].invalid:not(.browser-default):focus,
.outline input[type=url].invalid:not(.browser-default),
.outline input[type=url].invalid:not(.browser-default):focus,
.outline input[type=time].invalid:not(.browser-default),
.outline input[type=time].invalid:not(.browser-default):focus,
.outline input[type=date].invalid:not(.browser-default),
.outline input[type=date].invalid:not(.browser-default):focus,
.outline input[type=datetime].invalid:not(.browser-default),
.outline input[type=datetime].invalid:not(.browser-default):focus,
.outline input[type=datetime-local].invalid:not(.browser-default),
.outline input[type=datetime-local].invalid:not(.browser-default):focus,
.outline input[type=tel].invalid:not(.browser-default),
.outline input[type=tel].invalid:not(.browser-default):focus,
.outline input[type=number].invalid:not(.browser-default),
.outline input[type=number].invalid:not(.browser-default):focus,
.outline input[type=search].invalid:not(.browser-default),
.outline input[type=search].invalid:not(.browser-default):focus,
.outline textarea.materialize-textarea.invalid,
.outline textarea.materialize-textarea.invalid:focus,
.outline .select-wrapper.invalid>input.select-dropdown,
.outline .select-wrapper.invalid>input.select-dropdown:focus {
    border: 1px solid #F44336 !important;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.outline textarea.materialize-textarea {
    padding-top: 0.7rem;
    padding-bottom: 0.7rem;
}
